%define name    ltpconf 
%define version 0.5.3 
%define release 1mdk 

Name:           %{name} 
Summary:        LaptopConfig is a tool for accessing features of laptops
Version:        %{version} 
Release:        %{release} 
Source0:        %{name}-%{version}.tar.bz2
URL:            http://ltpconf.sourceforge.net/download.html
Group:          System/Configuration/Hardware
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL 

%description
LaptopConfig is a tool for accessing features of laptops like hotkeys,
acpi-events, display-brightness and powersaving in a platform independent 
way, so it is possible to run it on different laptops.

%prep 
%setup -q

%build 
qmake
%make

%install
rm -rf $RPM_BUILD_ROOT

for file in	%{_topdir}/BUILD/%{name}-%{version}/ltpconf/Makefile \
	%{_topdir}/BUILD/%{name}-%{version}/user_acpid/Makefile; do
  perl -pi -e 's,/usr/local(/bin|/share),$1,g' $file
  perl -pi -e "s|^MKDIR|INSTALL_ROOT=$RPM_BUILD_ROOT/usr\nMKDIR|" $file
done
%makeinstall 

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc COPYING

%{_bindir}/ltpconf
%{_bindir}/user_acpid
%{_mandir}/man8/user_acpid.8.bz2

%changelog 
* Thu Nov 09 2004 Nicolas Chipaux <chipaux@mandrakesoft.com> 0.5.3-1mdk
- Initial release
